// Display /////////////////////////////////////////////////////////////////////

.block { display: block; }

@media (min-width: $md-breakpoint) {
  .sm-only { display: none; }
}

[hidden] { display: none !important; }

// Text ////////////////////////////////////////////////////////////////////////

.small { font-size: smaller; }

.group { display: inline-block; }

.text-end { text-align: right; }

.text-start { text-align: left; }

// Spacing /////////////////////////////////////////////////////////////////////

.clear-navbar { padding-top: 5rem; }

.section-container {
  width: 100%;
  max-width: $container-limit;
  margin-right: auto;
  margin-left: auto;
  padding-left: 2.4rem;
  padding-right: 2.4rem;

  @media(min-width: $md-breakpoint) {
    padding-left: 5rem;
    padding-right: 5rem;
  }

  @media(min-width: $lg-breakpoint) {
    padding-left: 2rem;
    padding-right: 2rem;
  }
}

.py1 {
  padding-top: 3rem;
  padding-bottom: 3rem;

  h1:first-of-type,
  h2:first-of-type {
    margin-top: 0;
  }
}

.py2 {
  padding-top: 3rem;
  padding-bottom: 3rem;

  @media (min-width: $md-breakpoint) {
    padding-top: 4rem;
    padding-bottom: 4rem;
  }

  @media (min-width: $lg-breakpoint) {
    padding-top: 6rem;
    padding-bottom: 6rem;
  }

  h1:first-of-type,
  h2:first-of-type {
    margin-top: 0;
  }
}

.my1 {
  margin-top: 3rem;
  margin-bottom: 3rem;

  @media (min-width: $sm-breakpoint) {
    margin-top: 4rem;
    margin-bottom: 4rem;
  }

  h1:first-of-type,
  h2:first-of-type {
    margin-top: 0;
  }
}

.my2 {
  margin-top: 3rem;
  margin-bottom: 3rem;

  @media (min-width: $md-breakpoint) {
    margin-top: 4rem;
    margin-bottom: 4rem;
  }

  @media (min-width: $lg-breakpoint) {
    margin-top: 6rem;
    margin-bottom: 6rem;
  }

  h1:first-of-type,
  h2:first-of-type {
    margin-top: 0;
  }
}

.clearfix:after, .content:after,
.clearfix:before,
.content:before {
  display: table;
  content: " ";
}

.clearfix:after,
.content:after {
  clear: both;
}

// Backgrounds /////////////////////////////////////////////////////////////////

.bg-black {
  color: $white;
  background-color: $black;
}

.bg-white {
  color: $black;
  background-color: $white;
}

.bg-beige {
  color: $black;
  background-color: $beige;
}

.bg-gray {
  color: $black;
  background-color: $gray-light;
}

.bg-gray-lighter {
  color: $black;
  background-color: $gray-lighter;
}

.bg-red {
  color: $white;
  background-color: $red;
}

// Foregrounds /////////////////////////////////////////////////////////////////

.fg-gray {
  color: $gray;
}

// Alignment //////////////////////////////////////////////////////////////

.text-center {
  text-align: center !important;
}

.image-center {
  display: block;
  margin-right: auto;
  margin-left: auto;
}

// Width ///////////////////////////////////////////////////////////////////////

.md-max { max-width: $md-breakpoint !important; }

// Screen reader ///////////////////////////////////////////////////////////////

// Use this class to add screen reader / web crawler only content
//
// EG:
// - An h1 for SEO that is not visible
// - A skip-to link for screen readers

.sr-only {
  position: absolute;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
}
